[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ENoConstructException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Error raised when instantiating a TCharacter class

## Declaration

Source position: sysutilh.inc line 232

`type ENoConstructException = class(Exception)`

## Inheritance

`ENoConstructException` |  | Error raised when instantiating a TCharacter class
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

ENoConstructException is the exception raised when an instance of type TCharacter is being created. The TCharacter class only contains static methods, no instances of this class should be instantiated.